SystemOrganization addCategory: 'ConfigurationOfOrbeonWeb'!

BaselineOf subclass: #BaselineOfOrbeonWeb
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonWeb'!

!BaselineOfOrbeonWeb methodsFor: 'other' stamp: 'BrunoBB 09/20/2015 18:21'!
baseline: spec
  <baseline>

   spec
     for: #'common' do: [
       spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'.
       spec
         project: 'Orbeon'
         with: [ spec
					 className: 'ConfigurationOfOrbeon';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeon';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].
       spec
         project: 'OrbeonLDAP'
         with: [ spec
					 className: 'ConfigurationOfOrbeonLDAP';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfOrbeonLDAP';
					 repository: 'http://ss3.gemstone.com/ss/OrbeonBridge' ].
       spec
         project: 'Sewaf'
         with: [ spec
					 className: 'ConfigurationOfSewaf';
					 versionString: #stable;
					 loads: #('ALL');
					 file: 'ConfigurationOfSewaf';
					 repository: 'http://ss3.gemtalksystems.com/ss/Sewaf' ].

       spec package: 'OrbeonWeb-BrunoBB' with: [ spec requires: #('Orbeon' 'OrbeonLDAP' 'Sewaf') ] ]! !

ConfigurationOf subclass: #ConfigurationOfOrbeonWeb
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonWeb'!

!ConfigurationOfOrbeonWeb methodsFor: 'other' stamp: 'BrunoBB 02/03/2016 11:46'!
baseline1039: spec
	<version: '1.039-baseline'>

	spec for: #common do: [
        spec blessing: #baseline.
		spec repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'.
		"define project dependency wiht <Orbeon>"
		spec project: 'Orbeon' with: [
			spec className: 'ConfigurationOfOrbeon';
				versionString: #stable;
				loads: #('default');
				file: 'ConfigurationOfOrbeon';
				repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'].

		spec project: 'OrbeonLDAP' with: [
			spec className: 'ConfigurationOfOrbeonLDAP';
				versionString: #stable;
				loads: #('default');
				file: 'ConfigurationOfOrbeonLDAP';
				repository: 'http://ss3.gemtalksystems.com/ss/OrbeonBridge'].

		spec project: 'Sewaf' with: [
			spec className: 'ConfigurationOfSewaf';
				versionString: #stable;
				loads: #('default');
				file: 'ConfigurationOfSewaf';
				repository: 'http://ss3.gemtalksystems.com/ss/Sewaf'].

		spec 	
			package: 'OrbeonWeb' with: [spec requires: #('Orbeon' 'Sewaf' 'OrbeonLDAP')].
	].! !

!ConfigurationOfOrbeonWeb methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:40'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '1.039-baseline'.! !

!ConfigurationOfOrbeonWeb methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:46'!
release: spec
	<symbolicVersion: #'release'>

	spec for: #common version: '1.043'.! !

!ConfigurationOfOrbeonWeb methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:46'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #common version: '1.043'.! !

!ConfigurationOfOrbeonWeb methodsFor: 'other' stamp: 'BrunoBB 02/04/2016 13:14'!
version1043: spec
	<version: '1.043' imports: #('1.039-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'BrunoBB'.
		"Load dependency porject"
		spec project: 'Orbeon' with:'1.213'.
		spec project: 'Sewaf' with:'0.971'.
		spec project: 'OrbeonLDAP' with:'0.013'.

		"Load the actual Packages"
		spec package: 'OrbeonWeb' with: 'OrbeonWeb-BrunoBB.1045'.

	]! !

!ConfigurationOfOrbeonWeb methodsFor: 'other' stamp: 'BrunoBB 09/21/2015 17:45'!
versionNumberClass
     ^MetacelloVersionNumber! !
